/////////////////////////////////////////////////////////////////////
// Class Creator Version 1.3.002 Copyrigth (C) Poul A. Costinsky 1994
///////////////////////////////////////////////////////////////////
// Header File wr_path.h
// class CWrPath 
//
// 11/09/1994 14:01                             Author: Poul
///////////////////////////////////////////////////////////////////

#ifndef __CWrPath_H
#define __CWrPath_H

/////////////////////////////////////////////////////////////////////////////
// class CWrPath
class CWrPath
{
public:
// Constructors:
        CWrPath ();
        CWrPath (LPCSTR lpszPath);
        CWrPath (LPCSTR lpszDrive, LPCSTR lpszDir, 
                 LPCSTR lpszFName, LPCSTR lpszFExt);
// Destructor:
public:
// Operations:
        // operator= and copy consructor are defaults!
        void    Bind (LPCSTR lpszPath);
        // Any parameter can be NULL
        void    Bind (LPCSTR lpszDrive, LPCSTR lpszDir, 
                      LPCSTR lpszFName, LPCSTR lpszFExt);
	void	FullPath();
        LPCSTR  Drive() const { return drive;}
        LPCSTR  Dir()   const { return dir;  }
        LPCSTR  FName() const { return fname;}
        LPCSTR  FExt () const { return fext; }
        LPCSTR  Path () const { return path; }
protected:
// Implementation:
        void Link (LPCSTR lpszExtern, LPSTR lpszMember, int nLen);
protected:
// Members:
        char    drive [_MAX_DRIVE],
                dir   [_MAX_DIR],
                fname [_MAX_FNAME],
                fext  [_MAX_EXT],
                path  [_MAX_PATH];
};

/////////////////////////////////////////////////////////////////////////////
class CWrProgramPath : public CWrPath
{
public:
        CWrProgramPath();
};
/////////////////////////////////////////////////////////////////////////////
#endif // __CWrPath_H


