/////////////////////////////////////////////////////////////////////
// Class Creator Version 2.0.000 Copyrigth (C) Poul A. Costinsky 1994
///////////////////////////////////////////////////////////////////
// Implementation File findfile.cpp
// class CWizFindFile
//
// 29/05/1995 14:06                             Author: Poul
///////////////////////////////////////////////////////////////////


#include "stdafx.h"

#include "findfile.h"


#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

///////////////////////////////////////////////////////////////////
// class CWizFindFile

#define new DEBUG_NEW
//*****************************************************************
// Default Constructor
CWizFindFile::CWizFindFile(LPCTSTR  lpFileName)
	: m_bFirst (TRUE)
{
	m_hHandle = ::FindFirstFile (lpFileName, &m_cFileData);
}
//*****************************************************************
// Destructor
CWizFindFile::~CWizFindFile()
{
	if (m_hHandle != INVALID_HANDLE_VALUE)
		::FindClose (m_hHandle);
}
//*****************************************************************
BOOL	CWizFindFile::Next()
{
	// FindFirst or FindNext Failed
	if (m_hHandle == INVALID_HANDLE_VALUE)
		return FALSE;
	
	// Prevous action was successfull FindFirst :
	// return true
	if (m_bFirst)
		{
		m_bFirst = FALSE;
		return TRUE;
		}
	// Call FindNext now
	else
		{
		if (::FindNextFile (m_hHandle, &m_cFileData))
			return TRUE;
		::FindClose (m_hHandle);
		m_hHandle = INVALID_HANDLE_VALUE;
		DWORD nError = ::GetLastError();
		if (nError != ERROR_NO_MORE_FILES)
			CFileException::ThrowOsError((LONG)nError);
		
		return FALSE;
		}
}
//*****************************************************************
